program TRANSPORT;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var t,n,k,i:integer;
    x,time,sum,p,l,v:real;

begin
  reset(input,'TRANSPORT.iN');
  //rewrite(output,'output.txt');

  readln(t);

  for k := 1 to t do begin

                                                      
    readln(n,v,l);


    sum:=0;
    p:=0;
    x:=0;
    time:=0;

    for i := 1 to n do begin
      read(x,time);
      sum:=sum+time;{
      p:=p+x;
      sum:=sum+((x/v)+time/60);  }

    end;

    sum:=sum+(l*60)/v;
   // if p=l then writeln(sum:1:2) else
     //if p<l then begin sum:=sum+((l-p)/v); writeln(sum*60:1:2); end else
      writeln(sum:1:2);

  end;
end.
